## cherokee 1.2.2

=== debian/changelog ===
cherokee (1.2.2-2build1) oneiric; urgency=low

  * No change rebuild for libav 0.7 transition 

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 11 Jul 2011 21:19:45 -0500

cherokee (1.2.2-2) unstable; urgency=low

  * Include the upstream versions for two Javascript files which are
    shipped only minimized (compressed/obfuscated) in the upstream
    sources (Closes: #625775)
  * Stop shipping .la files in libcherokee-server0-dev (Closes: #621263)
  * Replaced the "copytruncate" logrotate strategy by a SIGUSR2 as a
    postrotate action (Closes: #586093)
  * Standards-version 3.9.1.0→3.9.2.0 (no changes needed)
  * Minor spelling correction in long description (thanks, lintian!)
  * Added libpcre3-dev and libbz2-dev to the build dependencies

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 09 May 2011 12:05:25 -0500

cherokee (1.2.2-1) unstable; urgency=low

  * New Upstream Version
  * Don't fail on upgrade when cherokee-admin is not installed (Closes:
    #617640)

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 11 Mar 2011 12:40:43 -0600

cherokee (1.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Commented line in debian/rules which caused looping and unspeakable
    buildd grief (Closes: #612482)
  * No longer modifies manpage section of cherokee-admin.1 - It is now
    correct
  * Corrected a typo: cherokee-admin replaces and conflicts with
    libcherokee-config0, not libcherokee-mod-config0 (Closes: #612558)
  * Updated initscript to current usage; fixed spurious periods being
    shown at its invocation (Closes: #607900)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 24 Feb 2011 13:41:31 -0600

cherokee (1.0.20-2) UNRELEASED; urgency=low

  * No longer skips the test suite while building

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 08 Feb 2011 10:38:38 -0600

cherokee (1.0.20-1) unstable; urgency=low

  * New Upstream Version

 -- Leonel Nunez <leonel@enelserver.com>  Wed, 02 Feb 2011 13:28:49 -0700

cherokee (1.0.19-1) experimental; urgency=low

  * New Upstream Version

 -- Leonel Nunez <leonel@enelserver.com>  Mon, 31 Jan 2011 11:06:27 -0700

cherokee (1.0.18-1) experimental; urgency=low

  * New upstream version

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 19 Jan 2011 14:29:49 -0600

cherokee (1.0.17-1) experimental; urgency=low

  * New upstream version

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 19 Jan 2011 11:34:54 -0600

cherokee (1.0.16-1) experimental; urgency=low

  * New Upsteam Version

 -- Leonel Nunez <leonel@enelserver.com>  Tue, 11 Jan 2011 16:25:12 -0700

cherokee (1.0.15-1) experimental; urgency=low

  [ Leonel Nunez ]
  * New Upstream Version

  [ Gunnar Wolf ]
  * Ship the missing /admin/static/help_404.html (Closes: #609002)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 05 Jan 2011 21:48:39 -0600

cherokee (1.0.14-2) experimental; urgency=low

  * Forgot excluding files in cherokee-admin from libcherokee-server0;
    thanks to Ringo Hartmann for the heads-up

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 20 Dec 2010 13:44:06 -0600

cherokee (1.0.14-1) experimental; urgency=low

  * New Upstream Version (Closes: #606865)
  * Targetting at experimental in order not to interfere with to
    Squeeze's freeze
  * No longer building libcherokee-config0-dev due to upstream
    restructuring
  * Dropped libcherokee-config0 and libcherokee-config-dev packages, due
    to upstream restructuring (Closes: #566994)
  * Renamed libcherokee-mod-admin to cherokee-admin

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 14 Dec 2010 17:12:33 -0600

cherokee (1.0.9-1) unstable; urgency=low

  * New Upstream Version
  * Refreshed  debian/patches/fix_man_section,
               debian/patches/move_helper_programs_to_usr_share
               debian/patches/set_user
  * Removed    debian/patches/include_paths_in_migrators
  * Edited     debian/libcherokee-config0.install and removed 
               contrib/0*to0*.py and /usr/lib/libcherokee-config.so.*
  * Edited     debian/cherokee.preinst and removed the function
               migrate_conf_versions and the calls to this function
  * Removed    debian/libcherokee-config0-dev.docs
               debian/libcherokee-config0-dev.install
  * Edited     debian/control removed the reference to libcherokee-config0-dev

 -- Leonel Nunez <leonel@enelserver.com>  Sat, 13 Nov 2010 12:03:50 -0700
