## cherokee 1.2.99

=== debian/changelog ===
cherokee (1.2.99-2) unstable; urgency=low

  * Applied patch sent by upstream that fixes the bugs causing the
    front-line cache tests to fail
  * Disabled the patch disabling the front-line cache tests

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 14 Sep 2011 11:56:44 -0500

cherokee (1.2.99-1) unstable; urgency=low

  * New upstream release
  * Disabled some front-line cache tests which caused the package to
    FTBFS

 -- Gunnar Wolf <gwolf@debian.org>  Sat, 10 Sep 2011 10:35:56 -0500

cherokee (1.2.98-1) unstable; urgency=low

  * New upstream release
  * Dropped "include-uncompressed-jquery" patch as it is now included
    upstream

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 10 Jun 2011 09:46:10 -0500
