## cherokee 1.2.100

=== debian/changelog ===
cherokee (1.2.100-1) unstable; urgency=low

  * New Upstream Release
  * Removed fix_front_line_invalid_memory_access patch 
    fix is included in uptream

 -- Leonel Nunez <leonel@enelserver.com>  Sun, 09 Oct 2011 12:50:21 -0600

cherokee (1.2.99-3) UNRELEASED; urgency=low

  * Updated the Vcs-Browser to the proper URL - Thanks to Nelson A. de
    Oliveira for pointing it out

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 26 Sep 2011 16:57:13 -0500
