## cherokee 1.2.101

=== debian/changelog ===
cherokee (1.2.101-1) unstable; urgency=low

  [ Leonel Nunez ]
  * New Upstream Version
  * Removed use_updated_config_guess patch, Upstream provided 
    new config.guess and config.sub versions

  [ Gunnar Wolf ]
  * Re-added use_updated_config_guess - We _do_ use it.

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 26 Oct 2011 16:43:10 -0500
